REM Workbench Table Data copy script
REM Workbench Version: 6.3.7
REM 
REM Execute this to copy table data from a source RDBMS to MySQL.
REM Edit the options below to customize it. You will need to provide passwords, at least.
REM 
REM Source DB:  (Microsoft Access)
REM Target DB: Mysql@localhost:3306


@ECHO OFF
REM Source and target DB passwords
set arg_source_password=
set arg_target_password="abcd"

IF [%arg_source_password%] == [] (
    IF [%arg_target_password%] == [] (
        ECHO WARNING: Both source and target RDBMSes passwords are empty. You should edit this file to set them.
    )
)
set arg_worker_count=2
REM Uncomment the following options according to your needs

REM Whether target tables should be truncated before copy
REM set arg_truncate_target=--truncate-target
REM Enable debugging output
REM set arg_debug_output=--log-level=debug3


REM Creation of file with table definitions for copytable

set table_file="%TMP%\wb_tables_to_migrate.txt"
TYPE NUL > "%TMP%\wb_tables_to_migrate.txt"
ECHO 	"kunden"	`moebelhausholzwurmF_be`	`kunden`	"KundenNr"	`KundenNr`	"KundenNr", "Firma", "Name", "Vorname", "Anrede", "Strasse", "PLZ", "Ort", "Telefon" >> "%TMP%\wb_tables_to_migrate.txt"
ECHO 	"artikel"	`moebelhausholzwurmF_be`	`artikel`	"P-Nr"	`P-Nr`	"P-Nr", "P-bez", "PG-Nr", "Lagerbest", "MinBest", "Material", "Preis", "VerwZweck", "LieferantenNr", "Auslaufartikel" >> "%TMP%\wb_tables_to_migrate.txt"
ECHO 	"produktgruppen"	`moebelhausholzwurmF_be`	`produktgruppen`	"PG-Nr"	`PG-Nr`	"PG-Nr", "Produktgruppe", "MwSt" >> "%TMP%\wb_tables_to_migrate.txt"
ECHO 	"mitarbeiter"	`moebelhausholzwurmF_be`	`mitarbeiter`	"MNr"	`MNr`	"MNr", "Vorname", "Name", "WoSt", "Abteilung", "Durchwahl" >> "%TMP%\wb_tables_to_migrate.txt"
ECHO 	"bestellungen"	`moebelhausholzwurmF_be`	`bestellungen`	"AuftragsNr","P-Nr"	`AuftragsNr`,`P-Nr`	"AuftragsNr", "P-Nr", "Menge" >> "%TMP%\wb_tables_to_migrate.txt"
ECHO 	"lieferanten"	`moebelhausholzwurmF_be`	`lieferanten`	"LNr"	`LNr`	"LNr", "LFirma", "LName", "LVorname", "LAnrede", "LTelefon", "LAnschrift", "LPLZ", "LOrt", "LRabatt", "LSeit" >> "%TMP%\wb_tables_to_migrate.txt"
ECHO 	"auftraege"	`moebelhausholzwurmF_be`	`auftraege`	"AuftragsNr"	`AuftragsNr`	"AuftragsNr", "KundenNr", "M-Nr", "Bestelldatum", "Rabatt", "Rechnungsdatum", "Rechnung bezahlt", "Erledigt" >> "%TMP%\wb_tables_to_migrate.txt"


"C:\Program Files (x86)\MySQL\MySQL Workbench 6.3 CE\wbcopytables.exe" --odbc-source="DSN=mhmdb" --target="root@localhost:3306" --source-password="%arg_source_password%" --target-password="%arg_target_password%" --table-file="%table_file%" --thread-count=%arg_worker_count% --source-charset=cp1252 %arg_truncate_target% %arg_debug_output%

pause

REM Removes the file with the table definitions
DEL "%TMP%\wb_tables_to_migrate.txt"

